Name: x11-driver-video-r128
Version: 6.8.1
Release: %mkrel 5
Epoch: 1
Summary: X.org driver for ATI Rage 128
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-r128-%{version}.tar.bz2

License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libdrm-devel >= 2.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Conflicts: xorg-x11-server < 7.0
Conflicts: x11-driver-video-ati <= 1:6.8.0

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-r128 is the X.org driver for ATI Rage 128.


%prep
%setup -q -n xf86-video-r128-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/r128_drv.la
%{_libdir}/xorg/modules/drivers/r128_drv.so
%{_mandir}/man4/r128.*




%changelog
* Fri Mar 04 2011 tv <tv> 1:6.8.1-5.mga1
+ Revision: 64407
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1:6.8.1-4.mga1
+ Revision: 50264
- imported package x11-driver-video-r128


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 1:6.8.1-4mdv2011.0
+ Revision: 595723
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1:6.8.1-3mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Tue Nov 10 2009 Thierry Vignaud <tv@mandriva.org> 1:6.8.1-2mdv2010.1
+ Revision: 464343
- rebuild for new xserver

* Mon Aug 03 2009 Thierry Vignaud <tv@mandriva.org> 1:6.8.1-1mdv2010.0
+ Revision: 407722
- new release

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 1:6.8.0-6mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Sat Nov 29 2008 Adam Williamson <awilliamson@mandriva.org> 1:6.8.0-5mdv2009.1
+ Revision: 308172
- rebuild for new X server

* Fri Jul 04 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1:6.8.0-4mdv2009.0
+ Revision: 231809
- Increase release number
- Correct wrong conflicts field.

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1:6.8.0-3mdv2009.0
+ Revision: 219462
- typo fix
- conflict with older ati driver
- import x11-driver-video-r128


